Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface BinaryTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface BinaryTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a binary expression. Use `getKind` to determine the kind of operator. For example:

       leftOperand operator rightOperand

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getLeftOperand()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns left hand side (LHS) of this binary expression.
`ExpressionTree` | `getRightOperand()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns right hand side (RHS) of this binary expression.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getLeftOperand

ExpressionTree getLeftOperand()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns left hand side (LHS) of this binary expression.

Returns:
  left hand side (LHS) of this binary expression

### getRightOperand

ExpressionTree getRightOperand()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns right hand side (RHS) of this binary expression.

Returns:
  right hand side (RHS) of this binary expression